As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 541219 - Drop the word "Beta" from the AAQ Troubleshooting Information description
: Drop the word "Beta" from the AAQ Troubleshooting Information description
Status: VERIFIED FIXED
:
Product: support.mozilla.org
Classification: Other
Component: Knowledge Base Software (show other bugs)
: unspecified
: All All
: P1 critical (vote)
: 1.5.1
Assigned To: James Socol [:jsocol, :james]
:
:
Mentors:
http://support-stage.mozilla.org/en-U...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-21 14:27 PST by James Socol [:jsocol, :james]
Modified: 2010-02-16 17:40 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
switch the text, based on Firefox version (1.88 KB, patch)
2010-01-21 15:38 PST, James Socol [:jsocol, :james]
paul+moz: review+
Details | Diff | Splinter Review
Post-fix screenshot; 3.6 (407.24 KB, image/png)
2010-01-22 15:46 PST, Stephen Donner [:stephend]
no flags Details
Post-fix screenshot; 3.5.7 (454.92 KB, image/png)
2010-01-22 15:47 PST, Stephen Donner [:stephend]
no flags Details

Description User image James Socol [:jsocol, :james] 2010-01-21 14:27:09 PST
3.6 isn't in beta anymore. We should stop saying Beta on the AAQ.
Comment 1 User image James Socol [:jsocol, :james] 2010-01-21 15:38:55 PST
Created attachment 422854 [details] [diff] [review]
switch the text, based on Firefox version

Based on feedback from Atul and Cheng, this patch adds a version sniff to the AAQ load that will replace the default text (for 3.6) with text targeted at old versions.

Yes, it checks for, literally, "3.6" in the version, but I'd be surprised if we were still using this by the time the next major version bump comes out.

3.6 - *Troubleshooting Information* Copy and paste the information from *Help > Troubleshooting Information*.
<3.6 - *Installed Extensions* Enter the text from the *Tools > Addons > Extensions* panel.
Comment 2 User image Paul Craciunoiu [:paulc] 2010-01-21 18:24:28 PST
Comment on attachment 422854 [details] [diff] [review]
switch the text, based on Firefox version

Looks good. Tested on Fx3.5.7 and Fx3.6 and noted the difference.
Comment 3 User image Paul Craciunoiu [:paulc] 2010-01-21 18:28:34 PST
As a side note, there is a hard-coded "Installed Extensions" notification in forumquestion.js that should also be changed, but I will take care of that in bug 541238, and this bug can remain strictly about changing the label for the textarea.
Comment 4 User image James Socol [:jsocol, :james] 2010-01-21 18:53:44 PST
60979.

I'll comment in but 541238, but basically I think the hard-coded stuff should just change to "Troubleshooting Information". It's accurate, if not specific.
Comment 5 User image James Socol [:jsocol, :james] 2010-01-21 18:53:59 PST
That's r60979. D'oh.
Comment 6 User image Stephen Donner [:stephend] 2010-01-22 15:46:22 PST
Created attachment 423086 [details]
Post-fix screenshot; 3.6
Comment 7 User image Stephen Donner [:stephend] 2010-01-22 15:47:45 PST
Created attachment 423087 [details]
Post-fix screenshot; 3.5.7
Comment 8 User image Stephen Donner [:stephend] 2010-01-22 15:51:21 PST
3.6 test post: https://support-stage.mozilla.org/en-US/forum/1/544095?
3.5.7 test post: https://support-stage.mozilla.org/en-US/forum/1/544096?

Verified FIXED.
Comment 9 User image James Socol [:jsocol, :james] 2010-02-16 16:38:40 PST
Reopening to commit to branches/1.5.1_temp. Will re-resolve after patches are committed.
Comment 10 User image James Socol [:jsocol, :james] 2010-02-16 17:16:42 PST
On branch, r62442
Comment 11 User image Stephen Donner [:stephend] 2010-02-16 17:40:57 PST
Verified FIXED; retested 3.6/3.5.x, as I did in comment 8.

Note You need to log in before you can comment on or make changes to this bug.